<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Accessory extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function asset()
    {
        return $this->belongsTo('App\Models\Asset');
    }

    public function location()
    {
        return $this->belongsTo('App\Models\Location');
    }

    public function makeAndModel()
    {
        return $this->belongsTo('App\Models\MakeAndModel');
    }

    public function technicalSpec()
    {
        return $this->belongsTo('App\Models\TechnicalSpecs');
    }
}
